Subject: FW: Requirements Feedback

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Mon, 14 Jul 2003 00:41:39 -0700

Hi All

The Requirements design team received some feedback from the Chairs/Ads
regarding the text for off-loaded functions in the FE Model section 6.
Basically the Ads don't want us to spend too much time on this before
making good progress on basic functions such as IPv4 forwarding,
DiffServ, etc. Also, a minor change in the text on off-loaded functions
has been suggested...in the sentence "In addition, FEs MUST allow
logical functions to execute asynchronously..." change FEs to FE Model.

No one from the design team has objected to this so far. Pls do let us
know if you have any comments.

Thanks
Hormuzd

-----Original Message-----
From: Putzolu, David 
Sent: Friday, July 11, 2003 9:50 AM
To: 'Ram Dantu'; Khosravi, Hormuzd M; [email-masked]; Minhazuddin,
Muneyb; avri; Margaret Wasserman; [email-masked]; Anderson, Todd A;
[email-masked]
Cc: Putzolu, David; [email-masked]; Vip Sharma; 'Alex Zinin'
Subject: Requirements Feedback

All,

Patrick, Alex, and I have been discussing Pekka's and
other peoples' feedback around the off-load question.  As 
off-load was added to the requirements after a good working
group discussion (on the mailing list) and after design team
deliberation (in calls),  we felt that it should not be
removed.  However, for the sake of making good progress,
the working group should focus on the more basic functions 
first.  That is, it would be a bad thing if a large amount 
of effort was spent on, say, figuring out a standard way to 
offload OSPF or TCP to a FE via ForCES before we figure out 
how to control IP forwarding or DiffServ QoS on a FE via ForCES.  

In our discussion we did note that that the text of 
off-loaded functions on page 10 (model requirements 
section item #8) could be improved - in particular, 
it says:

"In addition, FEs MUST allow logical functions to
execute asynchronously..."

We'd like to suggest a small change where the text
say that the FE _model_ must allow logical functions
to execute asynchronously.  I believe the reason to do this
is that this is in the model part of the document, and that 
we should avoid putting requirements on all FE 
implementations when in fact some FEs may not even support 
off-load.

If the design team is comfortable with this, could you
create a rfc-editor change note ("old text...new text...")
that incorporates this modification and send it to myself, 
Patrick, and Alex?  

Also, I'd like to give the status of the requirements
document to the meeting on Monday, and share the above
via the mailing list.  Are there any objections to my 
characterization above?

Thanks,
David